export declare const column: ({
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            disabled: boolean;
            fieldSearch: {
                sort: number;
                type: string;
            };
            hide: boolean;
            isSearch: boolean;
            pushMsg: boolean;
            required: boolean;
            typeDisabled?: undefined;
            collaboratorRoles?: undefined;
            checked?: undefined;
            limit?: undefined;
            multiple?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            required: boolean;
            disabled: boolean;
            fieldSearch: {
                sort: number;
                type: string;
            };
            hide: boolean;
            isSearch: boolean;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            collaboratorRoles?: undefined;
            checked?: undefined;
            limit?: undefined;
            multiple?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            pushMsg: boolean;
            typeDisabled: boolean;
            collaboratorRoles: string[];
            hide: boolean;
            checked: boolean;
            disabled: boolean;
            limit: number;
            multiple: boolean;
            titleDisabled: boolean;
            aliasDisabled: boolean;
            attrDisabled: boolean;
            member: {
                multiple: boolean;
                collaboratorRoles: string;
                isCollaborators: boolean;
                required?: undefined;
            };
            isCollaborators: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            required?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            aliasDisabled: boolean;
            member: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles?: undefined;
                isCollaborators?: undefined;
            };
            required: boolean;
            require: boolean;
            attrDisabled: boolean;
            isText: boolean;
            select: {
                options?: undefined;
            };
            hide: boolean;
            groupSelect: {
                groupOptions: {
                    id: number;
                    value: string;
                    children: {
                        fontColor: string;
                        id: number;
                        parentId: number;
                        sort: number;
                        value: string;
                        color: string;
                    }[];
                }[];
                options: {
                    id: number;
                    parentId: number;
                    sort: number;
                    value: string;
                    color: string;
                    fontColor: string;
                }[];
            };
            inputnumber: {
                accuracy: string;
                percentage: boolean;
                required: boolean;
                thousandth: boolean;
                unique: boolean;
                range?: undefined;
            };
            disabled: boolean;
            titleDisabled: boolean;
            pushMsg: boolean;
            typeDisabled: boolean;
            multiselect: {
                options?: undefined;
            };
            checked: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            collaboratorRoles?: undefined;
            limit?: undefined;
            multiple?: undefined;
            isCollaborators?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            pushMsg: boolean;
            disabled?: undefined;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            required?: undefined;
            typeDisabled?: undefined;
            collaboratorRoles?: undefined;
            checked?: undefined;
            limit?: undefined;
            multiple?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            member: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles?: undefined;
                isCollaborators?: undefined;
            };
            multiselect: {
                options?: undefined;
            };
            pushMsg: boolean;
            required: boolean;
            select: {
                options?: undefined;
            };
            inputnumber: {
                unique: boolean;
                accuracy: string;
                percentage: boolean;
                required: boolean;
                thousandth: boolean;
                range?: undefined;
            };
            isText: boolean;
            disabled?: undefined;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            collaboratorRoles?: undefined;
            checked?: undefined;
            limit?: undefined;
            multiple?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            groupSelect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            collaboratorRoles: string[];
            multiple: boolean;
            pushMsg: boolean;
            disabled?: undefined;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            required?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            member: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles?: undefined;
                isCollaborators?: undefined;
            };
            multiselect: {
                options?: undefined;
            };
            required: boolean;
            select: {
                options: {
                    id: number;
                    value: string;
                    color: string;
                    fontColor: string;
                }[];
            };
            inputnumber: {
                required: boolean;
                thousandth: boolean;
                unique: boolean;
                accuracy: string;
                percentage: boolean;
                range?: undefined;
            };
            isText: boolean;
            disabled?: undefined;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            collaboratorRoles?: undefined;
            checked?: undefined;
            limit?: undefined;
            multiple?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            groupSelect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            disabled: boolean;
            hide: boolean;
            multiple: boolean;
            required: boolean;
            checked: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            collaboratorRoles?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            collaboratorRoles: null;
            disabled: boolean;
            multiple: boolean;
            required: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            multiple: boolean;
            thousandth: boolean;
            checked: boolean;
            select: {
                options?: undefined;
            };
            inputnumber: {
                accuracy: string;
                percentage: boolean;
                thousandth: boolean;
                required?: undefined;
                unique?: undefined;
                range?: undefined;
            };
            isText: boolean;
            multiselect: {
                options?: undefined;
            };
            required: boolean;
            member: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles?: undefined;
                isCollaborators?: undefined;
            };
            orgTypeName: string;
            percentage: boolean;
            accuracy: string;
            hide: boolean;
            disabled: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            collaboratorRoles?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            groupSelect?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            inputnumber: {
                percentage: boolean;
                required: boolean;
                thousandth: boolean;
                unique: boolean;
                accuracy: string;
                range?: undefined;
            };
            isText: boolean;
            member: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles?: undefined;
                isCollaborators?: undefined;
            };
            multiselect: {
                options?: undefined;
            };
            orgTypeName: string;
            required: boolean;
            select: {
                options: {
                    value: string;
                    color: string;
                    id: number;
                }[];
            };
            disabled?: undefined;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            collaboratorRoles?: undefined;
            checked?: undefined;
            limit?: undefined;
            multiple?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            groupSelect?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            options: {
                value: string;
                color: string;
                fontColor: string;
                id: number;
                parentId: number;
            }[];
            required: boolean;
            collaboratorRoles: null;
            disabled: boolean;
            groupOptions: {
                key: number;
                value: string;
                children: {
                    color: string;
                    fontColor: string;
                    id: number;
                    parentId: number;
                    value: string;
                }[];
                id: number;
            }[];
            groupSelect: {
                groupOptions: {
                    value: string;
                    children: {
                        value: string;
                        color: string;
                        fontColor: string;
                        id: number;
                        parentId: number;
                    }[];
                    id: number;
                    key: number;
                }[];
                options: {
                    color: string;
                    fontColor: string;
                    id: number;
                    parentId: number;
                    value: string;
                }[];
            };
            multiple: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            disabled: boolean;
            multiple: boolean;
            required: boolean;
            workHour: {};
            collaboratorRoles: null;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            location: string;
            required: boolean;
            multiple: boolean;
            range: {};
            sign: string;
            accuracy: string;
            collaboratorRoles: null;
            disabled: boolean;
            amount: {
                accuracy: string;
                location: string;
                range: {};
                sign: string;
            };
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            required: boolean;
            disabled: boolean;
            accuracy: string;
            collaboratorRoles: null;
            percentage: boolean;
            range: {};
            inputnumber: {
                accuracy: string;
                percentage: boolean;
                range: {};
                thousandth: boolean;
                required?: undefined;
                unique?: undefined;
            };
            multiple: boolean;
            thousandth: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            multiselect?: undefined;
            orgTypeName?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            collaboratorRoles: null;
            disabled: boolean;
            multiple: boolean;
            options: {
                color: string;
                id: number;
                value: string;
            }[];
            required: boolean;
            select: {
                options: {
                    color: string;
                    id: number;
                    value: string;
                }[];
            };
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            format: string;
            hide: boolean;
            checked: boolean;
            collaboratorRoles: null;
            disabled: boolean;
            tense: string;
            multiple: boolean;
            datepicker: {
                format: string;
                showTime: boolean;
                tense: string;
            };
            showTime: boolean;
            required: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            pushMsg?: undefined;
            typeDisabled?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            checked: boolean;
            multiselect: {
                options: {
                    value: string;
                    color: string;
                    id: number;
                }[];
            };
            multiple: boolean;
            options: {
                id: number;
                value: string;
                color: string;
            }[];
            required: boolean;
            collaboratorRoles: null;
            pushMsg: boolean;
            disabled: boolean;
            hide: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            pushMsg: boolean;
            required: boolean;
            collaboratorRoles: null;
            dept: {
                multiple: boolean;
            };
            disabled: boolean;
            multiple: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            collaboratorRoles: null;
            disabled: boolean;
            percentage: boolean;
            accuracy: string;
            required: boolean;
            thousandth: boolean;
            multiple: boolean;
            pushMsg: boolean;
            range: {};
            inputnumber: {
                accuracy: string;
                percentage: boolean;
                range: {};
                thousandth: boolean;
                required?: undefined;
                unique?: undefined;
            };
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            multiselect?: undefined;
            orgTypeName?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            multiple: boolean;
            pushMsg: boolean;
            required: boolean;
            collaboratorRoles: null;
            disabled: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            isCollaborators: boolean;
            member: {
                isCollaborators: boolean;
                multiple: boolean;
                collaboratorRoles?: undefined;
                required?: undefined;
            };
            multiple: boolean;
            pushMsg: boolean;
            required: boolean;
            collaboratorRoles: null;
            disabled: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            condition: {
                type: string;
                conds: {
                    column: string;
                    type: string;
                    value: string;
                }[];
            };
            projectId: number;
            columnId: string;
            conditionRef: {
                appId: string;
                perThousandSignUsed: boolean;
                columnId: string;
                tableId: string;
                condition: {
                    conds: {
                        column: string;
                        type: string;
                        value: string;
                    }[];
                    type: string;
                };
                percent: number;
                aggFunc: string;
                column: {
                    editable: boolean;
                    label: string;
                    unique: boolean;
                    description: string;
                    field: {
                        props: {
                            accuracy: string;
                            disabled: boolean;
                            percentage: boolean;
                            multiple: boolean;
                            inputnumber: {
                                percentage: boolean;
                                range: {};
                                thousandth: boolean;
                                accuracy: string;
                            };
                            range: {};
                            required: boolean;
                            thousandth: boolean;
                            collaboratorRoles: null;
                            pushMsg: boolean;
                            attrDisabled?: undefined;
                            checked?: undefined;
                            fieldSearch?: undefined;
                            typeDisabled?: undefined;
                            aliasDisabled?: undefined;
                            hide?: undefined;
                            isSearch?: undefined;
                            titleDisabled?: undefined;
                        };
                        type: string;
                        customType: string;
                        dataType: string;
                    };
                    aliasTitle: string;
                    isSysHiden: boolean;
                    isSys: boolean;
                    isOrg: boolean;
                    sensitiveStrategy: string;
                    uniquePreHandler: string;
                    name: string;
                    writable: boolean;
                    isUserCreateSummary: boolean;
                    sensitiveFlag: number;
                };
                precision: string;
                projectId: number;
            };
            disabled: boolean;
            tableId: string;
            appId: string;
            multiple: boolean;
            aggFunc: string;
            pushMsg: boolean;
            percent: number;
            perThousandSignUsed: boolean;
            required: boolean;
            collaboratorRoles: null;
            checked: boolean;
            precision: string;
            hide: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            multiple: boolean;
            range: {};
            sign: string;
            location: string;
            disabled: boolean;
            required: boolean;
            accuracy: string;
            collaboratorRoles: null;
            pushMsg: boolean;
            amount: {
                range: {};
                sign: string;
                accuracy: string;
                location: string;
            };
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            multiple: boolean;
            tableId: string;
            collaboratorRoles: null;
            projectId: number;
            disabled: boolean;
            appId: string;
            conditionRef: {
                columnId: string;
                aggFunc: string;
                column: {
                    unique: boolean;
                    uniquePreHandler: string;
                    isSys: boolean;
                    writable: boolean;
                    label: string;
                    editable: boolean;
                    isOrg: boolean;
                    aliasTitle: string;
                    isUserCreateSummary: boolean;
                    name: string;
                    sensitiveStrategy: string;
                    description: string;
                    isSysHiden: boolean;
                    field: {
                        customType: string;
                        dataType: string;
                        props: {
                            disabled: boolean;
                            attrDisabled: boolean;
                            checked: boolean;
                            fieldSearch: {
                                sort: number;
                                type: string;
                            };
                            typeDisabled: boolean;
                            aliasDisabled: boolean;
                            required: boolean;
                            hide: boolean;
                            isSearch: boolean;
                            titleDisabled: boolean;
                            accuracy?: undefined;
                            percentage?: undefined;
                            multiple?: undefined;
                            inputnumber?: undefined;
                            range?: undefined;
                            thousandth?: undefined;
                            collaboratorRoles?: undefined;
                            pushMsg?: undefined;
                        };
                        type: string;
                    };
                    sensitiveFlag: number;
                };
                precision: string;
                projectId: number;
                condition: {
                    conds: {
                        value: string;
                        column: string;
                        type: string;
                    }[];
                    type: string;
                };
                perThousandSignUsed: boolean;
                tableId: string;
                appId: string;
                percent: number;
            };
            perThousandSignUsed: boolean;
            aggFunc: string;
            percent: number;
            condition: {
                type: string;
                conds: {
                    column: string;
                    type: string;
                    value: string;
                }[];
            };
            pushMsg: boolean;
            columnId: string;
            precision: string;
            required: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            select: {
                options: never[];
            };
            collaboratorRoles: null;
            disabled: boolean;
            multiple: boolean;
            options: never[];
            pushMsg: boolean;
            required: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            disabled: boolean;
            multiple: boolean;
            multiselect: {
                options: {
                    color: string;
                    id: number;
                }[];
            };
            options: {
                color: string;
                id: number;
            }[];
            pushMsg: boolean;
            required: boolean;
            collaboratorRoles: null;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            checked?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            dept?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            checked: boolean;
            collaboratorRoles: null;
            dept: {
                multiple: boolean;
            };
            disabled: boolean;
            hide: boolean;
            multiple: boolean;
            pushMsg: boolean;
            required: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            typeDisabled?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            isCollaborators?: undefined;
            require?: undefined;
            isText?: undefined;
            select?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            multiselect?: undefined;
            thousandth?: undefined;
            orgTypeName?: undefined;
            percentage?: undefined;
            accuracy?: undefined;
            options?: undefined;
            groupOptions?: undefined;
            workHour?: undefined;
            location?: undefined;
            range?: undefined;
            sign?: undefined;
            amount?: undefined;
            format?: undefined;
            tense?: undefined;
            datepicker?: undefined;
            showTime?: undefined;
            condition?: undefined;
            projectId?: undefined;
            columnId?: undefined;
            conditionRef?: undefined;
            tableId?: undefined;
            appId?: undefined;
            aggFunc?: undefined;
            percent?: undefined;
            perThousandSignUsed?: undefined;
            precision?: undefined;
        };
        refSetting: null;
    };
})[];
export declare const dataSource: ({
    recycleFlag: number;
    versionId: number;
    projectId: number;
    auditorIds: never[];
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    createTime: string;
    auditStatus: number;
    planWorkHour: number;
    orgId: number;
    issueStatus: number;
    moduleId: number;
    _field_1666751995241: number[];
    remark: string;
    title: string;
    path: string;
    projectObjectTypeId: number;
    issueObjectTypeId: number;
    tableId: string;
    endTime: string;
    sourceId: number;
    ownerId: never[];
    updateTime: string;
    isDelete: number;
    parentId: number;
    dataId: string;
    delFlag: number;
    collaborators: {
        ownerId: never[];
        followerIds: string[];
        auditorIds: never[];
    };
    propertyId: number;
    _field_1667478932733: string;
    owner: number;
    version: number;
    appIds: string[];
    isFiling: number;
    issueStatusType: number;
    followerIds: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    priorityId: number;
    planEndTime: string;
    startTime: string;
    iterationId: number;
    order: string;
    issueId: number;
    planStartTime: string;
    id: number;
    code: string;
    ownerChangeTime: string;
    updator: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    };
    status: number;
    sort: string;
    menuAppId?: undefined;
    baRelating?: undefined;
    _field_1666939130770?: undefined;
    _field_1659357810179?: undefined;
    _field_1659426443920?: undefined;
    document?: undefined;
    _field_1659310390567?: undefined;
    auditStatusDetail?: undefined;
    _field_priority?: undefined;
} | {
    issueId: number;
    planStartTime: string;
    endTime: string;
    dataId: string;
    code: string;
    issueStatusType: number;
    orgId: number;
    order: string;
    version: number;
    updator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    status: number;
    _field_1666751995241: number[];
    remark: string;
    priorityId: number;
    collaborators: {
        followerIds: string[];
        auditorIds: never[];
        ownerId: string[];
    };
    owner: number;
    startTime: string;
    moduleId: number;
    recycleFlag: number;
    sort: string;
    followerIds: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    }[];
    planWorkHour: number;
    delFlag: number;
    issueStatus: number;
    projectObjectTypeId: number;
    parentId: number;
    versionId: number;
    isFiling: number;
    projectId: number;
    id: number;
    sourceId: number;
    path: string;
    propertyId: number;
    iterationId: number;
    isDelete: number;
    tableId: string;
    planEndTime: string;
    ownerId: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    auditorIds: never[];
    creator: {
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
    };
    ownerChangeTime: string;
    appIds: string[];
    auditStatus: number;
    title: string;
    updateTime: string;
    createTime: string;
    issueObjectTypeId: number;
    _field_1667478932733?: undefined;
    menuAppId?: undefined;
    baRelating?: undefined;
    _field_1666939130770?: undefined;
    _field_1659357810179?: undefined;
    _field_1659426443920?: undefined;
    document?: undefined;
    _field_1659310390567?: undefined;
    auditStatusDetail?: undefined;
    _field_priority?: undefined;
} | {
    issueStatusType: number;
    followerIds: {
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
    }[];
    delFlag: number;
    auditorIds: never[];
    createTime: string;
    updator: {
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
    };
    sourceId: number;
    startTime: string;
    order: string;
    versionId: number;
    appIds: string[];
    isFiling: number;
    issueObjectTypeId: number;
    planWorkHour: number;
    moduleId: number;
    iterationId: number;
    menuAppId: string;
    baRelating: {
        linkTo: string[];
        linkFrom: string[];
    };
    dataId: string;
    orgId: number;
    creator: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    };
    issueId: number;
    version: number;
    parentId: number;
    ownerId: {
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
    }[];
    path: string;
    _field_1666939130770: never[];
    isDelete: number;
    projectObjectTypeId: number;
    status: number;
    _field_1666751995241: number[];
    remark: string;
    owner: number;
    updateTime: string;
    endTime: string;
    projectId: number;
    id: number;
    priorityId: number;
    issueStatus: number;
    collaborators: {
        followerIds: string[];
        auditorIds: never[];
        ownerId: string[];
    };
    propertyId: number;
    planStartTime: string;
    tableId: string;
    auditStatus: number;
    ownerChangeTime: string;
    title: string;
    recycleFlag: number;
    sort: string;
    planEndTime: string;
    code: string;
    _field_1667478932733?: undefined;
    _field_1659357810179?: undefined;
    _field_1659426443920?: undefined;
    document?: undefined;
    _field_1659310390567?: undefined;
    auditStatusDetail?: undefined;
    _field_priority?: undefined;
} | {
    appIds: string[];
    title: string;
    sort: string;
    projectObjectTypeId: number;
    recycleFlag: number;
    issueObjectTypeId: number;
    planWorkHour: number;
    startTime: string;
    moduleId: number;
    projectId: number;
    followerIds: {
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
    }[];
    remark: string;
    updateTime: string;
    priorityId: number;
    auditorIds: never[];
    owner: number;
    versionId: number;
    createTime: string;
    issueStatusType: number;
    ownerId: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    orgId: number;
    updator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    endTime: string;
    iterationId: number;
    menuAppId: string;
    dataId: string;
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    planStartTime: string;
    version: number;
    isFiling: number;
    auditStatus: number;
    ownerChangeTime: string;
    delFlag: number;
    path: string;
    planEndTime: string;
    issueId: number;
    isDelete: number;
    baRelating: {
        linkTo: string[];
        linkFrom: string[];
    };
    parentId: number;
    tableId: string;
    code: string;
    propertyId: number;
    order: string;
    _field_1666751995241: number[];
    collaborators: {
        auditorIds: never[];
        ownerId: string[];
        followerIds: string[];
    };
    status: number;
    id: number;
    sourceId: number;
    issueStatus: number;
    _field_1667478932733?: undefined;
    _field_1666939130770?: undefined;
    _field_1659357810179?: undefined;
    _field_1659426443920?: undefined;
    document?: undefined;
    _field_1659310390567?: undefined;
    auditStatusDetail?: undefined;
    _field_priority?: undefined;
} | {
    issueStatus: number;
    startTime: string;
    auditorIds: never[];
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    issueId: number;
    version: number;
    planWorkHour: number;
    priorityId: number;
    endTime: string;
    projectId: number;
    _field_1666751995241: number[];
    appIds: string[];
    updator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    versionId: number;
    status: number;
    ownerChangeTime: string;
    sort: string;
    planStartTime: string;
    isDelete: number;
    baRelating: {
        linkTo: string[];
        linkFrom?: undefined;
    };
    auditStatus: number;
    collaborators: {
        followerIds: string[];
        auditorIds: never[];
        ownerId: string[];
    };
    moduleId: number;
    projectObjectTypeId: number;
    planEndTime: string;
    issueStatusType: number;
    path: string;
    delFlag: number;
    updateTime: string;
    sourceId: number;
    title: string;
    ownerId: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    }[];
    propertyId: number;
    order: string;
    recycleFlag: number;
    tableId: string;
    id: number;
    remark: string;
    createTime: string;
    isFiling: number;
    followerIds: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    }[];
    iterationId: number;
    owner: number;
    parentId: number;
    issueObjectTypeId: number;
    dataId: string;
    code: string;
    orgId: number;
    _field_1667478932733?: undefined;
    menuAppId?: undefined;
    _field_1666939130770?: undefined;
    _field_1659357810179?: undefined;
    _field_1659426443920?: undefined;
    document?: undefined;
    _field_1659310390567?: undefined;
    auditStatusDetail?: undefined;
    _field_priority?: undefined;
} | {
    projectId: number;
    ownerId: {
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
    }[];
    sort: string;
    isDelete: number;
    versionId: number;
    followerIds: {
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
    }[];
    remark: string;
    order: string;
    tableId: string;
    auditStatus: number;
    dataId: string;
    code: string;
    priorityId: number;
    recycleFlag: number;
    updateTime: string;
    isFiling: number;
    planEndTime: string;
    issueStatusType: number;
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    owner: number;
    planStartTime: string;
    version: number;
    createTime: string;
    auditorIds: never[];
    iterationId: number;
    collaborators: {
        followerIds: string[];
        auditorIds: never[];
        ownerId: string[];
    };
    startTime: string;
    _field_1659357810179: string;
    appIds: string[];
    issueObjectTypeId: number;
    updator: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    };
    id: number;
    ownerChangeTime: string;
    endTime: string;
    _field_1666751995241: number[];
    path: string;
    moduleId: number;
    propertyId: number;
    issueId: number;
    projectObjectTypeId: number;
    parentId: number;
    sourceId: number;
    title: string;
    status: number;
    orgId: number;
    issueStatus: number;
    planWorkHour: number;
    delFlag: number;
    _field_1667478932733?: undefined;
    menuAppId?: undefined;
    baRelating?: undefined;
    _field_1666939130770?: undefined;
    _field_1659426443920?: undefined;
    document?: undefined;
    _field_1659310390567?: undefined;
    auditStatusDetail?: undefined;
    _field_priority?: undefined;
} | {
    owner: number;
    updateTime: string;
    status: number;
    sort: string;
    projectObjectTypeId: number;
    version: number;
    issueObjectTypeId: number;
    planWorkHour: number;
    auditorIds: never[];
    moduleId: number;
    iterationId: number;
    updator: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    };
    auditStatus: number;
    title: string;
    path: string;
    planEndTime: string;
    sourceId: number;
    code: string;
    ownerChangeTime: string;
    remark: string;
    propertyId: number;
    projectId: number;
    dataId: string;
    isFiling: number;
    id: number;
    collaborators: {
        ownerId: string[];
        followerIds: string[];
        auditorIds: never[];
    };
    planStartTime: string;
    isDelete: number;
    startTime: string;
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    recycleFlag: number;
    tableId: string;
    issueStatusType: number;
    ownerId: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    }[];
    priorityId: number;
    _field_1659426443920: number[];
    appIds: string[];
    createTime: string;
    followerIds: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    }[];
    delFlag: number;
    issueStatus: number;
    issueId: number;
    endTime: string;
    _field_1666751995241: number[];
    orgId: number;
    order: string;
    parentId: number;
    versionId: number;
    _field_1667478932733?: undefined;
    menuAppId?: undefined;
    baRelating?: undefined;
    _field_1666939130770?: undefined;
    _field_1659357810179?: undefined;
    document?: undefined;
    _field_1659310390567?: undefined;
    auditStatusDetail?: undefined;
    _field_priority?: undefined;
} | {
    issueObjectTypeId: number;
    _field_1666751995241: null;
    issueStatusType: number;
    document: {
        128777: {
            path: string;
            recycleFlag: number;
            name: string;
            id: number;
            suffix: string;
            resourceType: number;
        };
        128778: {
            name: string;
            id: number;
            suffix: string;
            resourceType: number;
            path: string;
            recycleFlag: number;
        };
        128779: {
            resourceType: number;
            path: string;
            recycleFlag: number;
            name: string;
            id: number;
            suffix: string;
        };
    };
    recycleFlag: number;
    parentId: number;
    versionId: number;
    propertyId: number;
    isDelete: number;
    appIds: string[];
    id: number;
    ownerId: {
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
    }[];
    orgId: number;
    priorityId: number;
    issueStatus: number;
    projectId: number;
    dataId: string;
    code: string;
    planWorkHour: number;
    title: string;
    status: number;
    remark: string;
    iterationId: number;
    issueId: number;
    projectObjectTypeId: number;
    createTime: string;
    endTime: string;
    ownerChangeTime: string;
    startTime: string;
    auditorIds: never[];
    planStartTime: string;
    version: number;
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    isFiling: number;
    updator: {
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
    };
    sourceId: number;
    path: string;
    _field_1659426443920: number[];
    collaborators: {
        followerIds: string[];
        auditorIds: never[];
        ownerId: string[];
    };
    owner: number;
    auditStatus: number;
    moduleId: number;
    updateTime: string;
    planEndTime: string;
    followerIds: {
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
    }[];
    delFlag: number;
    order: string;
    sort: string;
    tableId: string;
    _field_1667478932733?: undefined;
    menuAppId?: undefined;
    baRelating?: undefined;
    _field_1666939130770?: undefined;
    _field_1659357810179?: undefined;
    _field_1659310390567?: undefined;
    auditStatusDetail?: undefined;
    _field_priority?: undefined;
} | {
    ownerId: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    path: string;
    startTime: string;
    iterationId: number;
    updateTime: string;
    id: number;
    followerIds: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    delFlag: number;
    dataId: string;
    sort: string;
    createTime: string;
    updator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    _field_1659310390567: string;
    creator: {
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
    };
    issueObjectTypeId: number;
    status: number;
    planWorkHour: number;
    title: string;
    orgId: number;
    _field_1666751995241: number[];
    remark: string;
    propertyId: number;
    projectId: number;
    recycleFlag: number;
    auditStatus: number;
    endTime: string;
    auditorIds: never[];
    order: string;
    owner: number;
    issueId: number;
    isDelete: number;
    projectObjectTypeId: number;
    planEndTime: string;
    sourceId: number;
    issueStatusType: number;
    priorityId: number;
    planStartTime: string;
    issueStatus: number;
    collaborators: {
        followerIds: string[];
        auditorIds: never[];
        ownerId: string[];
    };
    moduleId: number;
    parentId: number;
    versionId: number;
    appIds: string[];
    isFiling: number;
    tableId: string;
    code: string;
    ownerChangeTime: string;
    version: number;
    _field_1667478932733?: undefined;
    menuAppId?: undefined;
    baRelating?: undefined;
    _field_1666939130770?: undefined;
    _field_1659357810179?: undefined;
    _field_1659426443920?: undefined;
    document?: undefined;
    auditStatusDetail?: undefined;
    _field_priority?: undefined;
} | {
    projectId: number;
    issueStatusType: number;
    delFlag: number;
    updateTime: string;
    createTime: string;
    ownerId: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    }[];
    creator: {
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
    };
    tableId: string;
    auditStatus: number;
    dataId: string;
    issueStatus: number;
    order: string;
    collaborators: {
        ownerId: string[];
        followerIds: string[];
        auditorIds?: undefined;
    };
    id: number;
    followerIds: {
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
    }[];
    path: string;
    updator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    status: number;
    code: string;
    ownerChangeTime: string;
    iterationId: number;
    issueId: number;
    recycleFlag: number;
    parentId: number;
    appIds: string[];
    _field_1666751995241: number[];
    orgId: number;
    auditStatusDetail: {};
    versionId?: undefined;
    auditorIds?: undefined;
    planWorkHour?: undefined;
    moduleId?: undefined;
    remark?: undefined;
    title?: undefined;
    projectObjectTypeId?: undefined;
    issueObjectTypeId?: undefined;
    endTime?: undefined;
    sourceId?: undefined;
    isDelete?: undefined;
    propertyId?: undefined;
    _field_1667478932733?: undefined;
    owner?: undefined;
    version?: undefined;
    isFiling?: undefined;
    priorityId?: undefined;
    planEndTime?: undefined;
    startTime?: undefined;
    planStartTime?: undefined;
    sort?: undefined;
    menuAppId?: undefined;
    baRelating?: undefined;
    _field_1666939130770?: undefined;
    _field_1659357810179?: undefined;
    _field_1659426443920?: undefined;
    document?: undefined;
    _field_1659310390567?: undefined;
    _field_priority?: undefined;
} | {
    issueStatusType: number;
    auditStatusDetail: {};
    order: string;
    updateTime: string;
    ownerId: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    }[];
    orgId: number;
    updator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    ownerChangeTime: string;
    followerIds: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    createTime: string;
    path: string;
    creator: {
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
    };
    code: string;
    delFlag: number;
    collaborators: {
        followerIds: string[];
        ownerId: string[];
        auditorIds?: undefined;
    };
    iterationId: number;
    recycleFlag: number;
    id: number;
    issueId: number;
    appIds: string[];
    auditStatus: number;
    status: number;
    dataId: string;
    title: string;
    issueStatus: number;
    parentId: number;
    tableId: string;
    projectId: number;
    _field_1666751995241: number[];
    versionId?: undefined;
    auditorIds?: undefined;
    planWorkHour?: undefined;
    moduleId?: undefined;
    remark?: undefined;
    projectObjectTypeId?: undefined;
    issueObjectTypeId?: undefined;
    endTime?: undefined;
    sourceId?: undefined;
    isDelete?: undefined;
    propertyId?: undefined;
    _field_1667478932733?: undefined;
    owner?: undefined;
    version?: undefined;
    isFiling?: undefined;
    priorityId?: undefined;
    planEndTime?: undefined;
    startTime?: undefined;
    planStartTime?: undefined;
    sort?: undefined;
    menuAppId?: undefined;
    baRelating?: undefined;
    _field_1666939130770?: undefined;
    _field_1659357810179?: undefined;
    _field_1659426443920?: undefined;
    document?: undefined;
    _field_1659310390567?: undefined;
    _field_priority?: undefined;
} | {
    ownerId: {
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
    }[];
    orgId: number;
    updateTime: string;
    parentId: number;
    auditStatusDetail: {};
    iterationId: number;
    order: string;
    updator: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    };
    endTime: string;
    projectId: number;
    issueId: number;
    auditStatus: number;
    dataId: string;
    id: number;
    title: string;
    issueStatus: number;
    tableId: string;
    _field_1666751995241: number[];
    delFlag: number;
    collaborators: {
        ownerId: string[];
        followerIds?: undefined;
        auditorIds?: undefined;
    };
    recycleFlag: number;
    status: number;
    code: string;
    issueStatusType: number;
    path: string;
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    appIds: string[];
    ownerChangeTime: string;
    createTime: string;
    versionId?: undefined;
    auditorIds?: undefined;
    planWorkHour?: undefined;
    moduleId?: undefined;
    remark?: undefined;
    projectObjectTypeId?: undefined;
    issueObjectTypeId?: undefined;
    sourceId?: undefined;
    isDelete?: undefined;
    propertyId?: undefined;
    _field_1667478932733?: undefined;
    owner?: undefined;
    version?: undefined;
    isFiling?: undefined;
    followerIds?: undefined;
    priorityId?: undefined;
    planEndTime?: undefined;
    startTime?: undefined;
    planStartTime?: undefined;
    sort?: undefined;
    menuAppId?: undefined;
    baRelating?: undefined;
    _field_1666939130770?: undefined;
    _field_1659357810179?: undefined;
    _field_1659426443920?: undefined;
    document?: undefined;
    _field_1659310390567?: undefined;
    _field_priority?: undefined;
} | {
    title: string;
    path: string;
    order: string;
    _field_1666751995241: number[];
    dataId: string;
    id: number;
    delFlag: number;
    _field_priority: number;
    issueId: number;
    recycleFlag: number;
    orgId: number;
    status: number;
    issueStatusType: number;
    createTime: string;
    tableId: string;
    updator: {
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
    };
    issueStatus: number;
    auditorIds: never[];
    iterationId: number;
    creator: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    };
    updateTime: string;
    collaborators: {
        auditorIds: never[];
        ownerId: never[];
        followerIds: never[];
    };
    auditStatus: number;
    code: string;
    followerIds: never[];
    ownerId: never[];
    auditStatusDetail: {};
    parentId: number;
    appIds: string[];
    projectId: number;
    versionId?: undefined;
    planWorkHour?: undefined;
    moduleId?: undefined;
    remark?: undefined;
    projectObjectTypeId?: undefined;
    issueObjectTypeId?: undefined;
    endTime?: undefined;
    sourceId?: undefined;
    isDelete?: undefined;
    propertyId?: undefined;
    _field_1667478932733?: undefined;
    owner?: undefined;
    version?: undefined;
    isFiling?: undefined;
    priorityId?: undefined;
    planEndTime?: undefined;
    startTime?: undefined;
    planStartTime?: undefined;
    ownerChangeTime?: undefined;
    sort?: undefined;
    menuAppId?: undefined;
    baRelating?: undefined;
    _field_1666939130770?: undefined;
    _field_1659357810179?: undefined;
    _field_1659426443920?: undefined;
    document?: undefined;
    _field_1659310390567?: undefined;
})[];
